//
//  ViewController.swift
//  ChartsTesting
//
//  Created by Austin-Michael on 4/19/19.
//  Copyright © 2019 Bloomerang. All rights reserved.
//

import UIKit
import Charts

class ViewController: UIViewController {
    
    var line1Data: [Double: Double] = [
        15: 3170,
        16: 5060,
        17: 2498,
        18: 9200,
        19: 6400,
    ]
    
    let color = UIColor(red: 99/255, green: 188/255, blue: 217/255, alpha: 1)
    
    @IBOutlet var graphView: LineChartView!
    @IBOutlet var textField: UITextField!

    override func viewDidLoad() {
        super.viewDidLoad()
        updateGraph()
        
        graphView.xAxis.drawGridLinesEnabled = false
        graphView.xAxis.labelPosition = .bottom
        graphView.leftAxis.drawAxisLineEnabled = false
        graphView.rightAxis.enabled = false
        
        graphView.xAxis.labelCount = line1Data.count - 1
        graphView.leftAxis.labelCount = 4
    }

    @IBAction func didTapAdd() {
//        guard let text = textField.text, let number = Double(text) else { return }
//        numbers.append(number)
//        updateGraph()
    }
    
    func updateGraph() {
        var lineChartEntries: [ChartDataEntry] = []
//        lineChartEntries.append(ChartDataEntry(x: 16, y: 5060))
        for (key, value) in line1Data.sorted(by: { $0.key < $1.key }) {
            lineChartEntries.append(ChartDataEntry(x: key, y: value))
        }
        
        let line = LineChartDataSet(values: lineChartEntries, label: "Numbers")
        line.mode = .horizontalBezier
        line.axisDependency = .left
        
        line.lineWidth = 2
        line.setColor(color, alpha: 1)
        line.setCircleColor(color)
        line.circleHoleRadius = 0
        line.circleRadius = 5
        
        let colors = [color.cgColor, UIColor(white: 1, alpha: 0).cgColor] as CFArray
        let locations: [CGFloat] = [1, 0]
        let gradient = CGGradient(
            colorsSpace: CGColorSpaceCreateDeviceRGB(),
            colors: colors,
            locations: locations)
        line.fill = Fill.fillWithLinearGradient(gradient!, angle: 90)
        line.drawFilledEnabled = true
        
        
        let data = LineChartData()
        data.addDataSet(line)
        
        graphView.data = data
        
    }
}

